Name:           python-conda-libmamba-solver
Version:        24.9.0
Release:        %mkrel 3
Summary:        The fast mamba solver, now in conda
Group:          Development/Python

License:        BSD 3-Clause
URL:            https://github.com/conda/conda-libmamba-solver
Source:         https://github.com/conda/conda-libmamba-solver/archive/refs/tags/%{version}.tar.gz
Patch0:         0001-solver-24.9.0-fix-version.patch

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
conda-libmamba-solver is a new solver for the conda package manager which uses
the solver from the mamba project behind the scenes, while carefully
implementing conda's functionality and expected behaviors on top. The library
used by mamba to do the heavy-lifting is called libsolv.}

%description %_description

%package -n     python3-conda-libmamba-solver
Summary:        %{summary}

%description -n python3-conda-libmamba-solver %_description


%prep
%autosetup -p1 -n conda-libmamba-solver-%{version}
sed -i '/"conda >=23.7.3",/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files conda_libmamba_solver


%check
# avoid a chicken-egg issue, to allow build this package before conda.
## pyproject_check_import


%files -n python3-conda-libmamba-solver -f %{pyproject_files}



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 24.9.0-3.mga10
+ Revision: 2240385
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 24.9.0-2.mga10
+ Revision: 2156874
- rebuild for python3.13

* Wed Dec 18 2024 papoteur <papoteur> 24.9.0-1.mga10
+ Revision: 2126138
- new version 24.9.1

* Sat Mar 23 2024 papoteur <papoteur> 24.1.0-1.mga10
+ Revision: 2051517
- imported package python-conda-libmamba-solver

